package com.memorynotfound.date;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;

public class FormatDate {

    public static void main(String... args) throws InterruptedException {

        Date date = new Date();

        System.out.println("Custom format date strings");
        DateFormat df = new SimpleDateFormat("dd/MM/yy");
        System.out.println("Today is: " + df.format(date));

        df = new SimpleDateFormat("dd/MM/yyyy");
        System.out.println("Today is: " + df.format(date));

        df = new SimpleDateFormat("yyyy/MM/dd");
        System.out.println("Today is: " + df.format(date));

        df = new SimpleDateFormat("d MMM, yyyy");
        System.out.println("Today is: " + df.format(date));

        df = new SimpleDateFormat("d MMMM, yyyy");
        System.out.println("Today is: " + df.format(date));

        df = new SimpleDateFormat("d MMMM, yyyy", Locale.CHINESE);
        System.out.println("Today is: " + df.format(date));

        df = new SimpleDateFormat("d MMMM, yyyy", Locale.ITALIAN);
        System.out.println("Today is: " + df.format(date));


        System.out.println("\nBuilt in date formats");
        df = DateFormat.getDateInstance(DateFormat.DEFAULT);
        System.out.println("Today is: " + df.format(date));

        df = DateFormat.getDateInstance(DateFormat.SHORT);
        System.out.println("Today is: " + df.format(date));

        df = DateFormat.getDateInstance(DateFormat.MEDIUM);
        System.out.println("Today is: " + df.format(date));

        df = DateFormat.getDateInstance(DateFormat.LONG);
        System.out.println("Today is: " + df.format(date));

        df = DateFormat.getDateInstance(DateFormat.FULL);
        System.out.println("Today is: " + df.format(date));

        df = DateFormat.getDateInstance(DateFormat.FULL, Locale.CHINESE);
        System.out.println("Today is: " + df.format(date));

        df = DateFormat.getDateInstance(DateFormat.FULL, Locale.ITALIAN);
        System.out.println("Today is: " + df.format(date));


    }
}
